Main Page Modules Alphabetical List Data Structures File List Data Fields Globals

# import-backend.h File Reference

Generic importer backend interface. More...

`#include <gtk/gtk.h>`
`#include "Transaction.h"`
`#include "import-match-map.h"`
`#include "import-settings.h"`

## Non-GUI Functions
gboolean | gnc_import_exists_online_id (Transaction *trans)
void | gnc_import_find_split_matches (GNCImportTransInfo *transaction_info, gint process_threshold, double fuzzy_amount_difference)
void | gnc_import_TransInfo_init_matches (GNCImportTransInfo *trans_info, GNCImportSettings *settings)
void | gnc_import_process_trans_clist (GtkCList *clist, GncImportMatchMap *matchmap)
GdkPixmap * | gen_probability_pixmap (gint score, GNCImportSettings *settings, GtkWidget *widget)
## Getters/Setters for GNCImportTransInfo
GNCImportTransInfo * | gnc_import_TransInfo_new (Transaction *trans, GncImportMatchMap *matchmap)
void | gnc_import_TransInfo_delete (GNCImportTransInfo *info)
GList * | gnc_import_TransInfo_get_match_list (const GNCImportTransInfo *info)
Transaction * | gnc_import_TransInfo_get_trans (const GNCImportTransInfo *info)
gboolean | gnc_import_TransInfo_is_balanced (const GNCImportTransInfo *info)
Split * | gnc_import_TransInfo_get_fsplit (const GNCImportTransInfo *info)
GNCImportMatchInfo * | gnc_import_TransInfo_get_selected_match (const GNCImportTransInfo *info)
void | gnc_import_TransInfo_set_selected_match (GNCImportTransInfo *info, GNCImportMatchInfo *match, gboolean selected_manually)
gboolean | gnc_import_TransInfo_get_match_selected_manually (const GNCImportTransInfo *info)
GNCImportAction | gnc_import_TransInfo_get_action (const GNCImportTransInfo *info)
void | gnc_import_TransInfo_set_action (GNCImportTransInfo *info, GNCImportAction action)
Account * | gnc_import_TransInfo_get_destacc (const GNCImportTransInfo *info)
void | gnc_import_TransInfo_set_destacc (GNCImportTransInfo *info, Account *acc, gboolean selected_manually)
gboolean | gnc_import_TransInfo_refresh_destacc (GNCImportTransInfo *transaction_info, GncImportMatchMap *matchmap)
gboolean | gnc_import_TransInfo_get_destacc_selected_manually (const GNCImportTransInfo *info)
## Getters/Setters for GNCImportMatchInfo
Split * | gnc_import_MatchInfo_get_split (const GNCImportMatchInfo *info)
gint | gnc_import_MatchInfo_get_probability (const GNCImportMatchInfo *info)
## Typedefs
typedef _transactioninfo | GNCImportTransInfo
typedef _matchinfo | GNCImportMatchInfo
typedef enum _action | GNCImportAction
## Enumerations
enum | _action { GNCImport_SKIP, GNCImport_ADD, GNCImport_CLEAR, GNCImport_EDIT, GNCImport_LAST_ACTION, GNCImport_INVALID_ACTION }

## Detailed Description

Generic importer backend interface.

Author:
  Copyright (C) 2002 Benoit Grégoire , Christian Stimming